/***************************************************************************
                          fileresource.h  -  definitions for serialization
                             -------------------                                         
    begin                : Sat Sep 25 1999                                           
    copyright            : (C) 1999 by David Johnson                         
    email                : arandir@meer.net                                     

    This software licensed under the Berkeley Software Distribution License
 ***************************************************************************/

#ifndef FILERESOURCE
#define FILERESOURCE

#include <qstring.h>

// define file format versions
const QString QBREW_FORMAT		= "QBREW";
// the QBrew major and minor versions until at least until version 1.0.
const QString QBREW_VERSION		= "0.0";
// previous compatible file format, largely meaningless until release is semi-stable
const QString QBREW_PREVIOUS		= "0.0";

//////////////////////////////////////////////////////////////////////////////
// file parsing definitions

// group types to build hash with
const QString groupRecipe			= "RECIPE";
const int gidRecipe					= 10010;
const QString groupDocGrains		= "GRAINS";
const int gidDocGrains				= 10011;
const QString groupDocHops			= "HOPS";
const int gidDocHops				= 10012;
const QString groupDocMisc			= "MISC";
const int gidDocMisc				= 10013;

// data fields to build hash with
const QString fieldTitle			= "Title";
const int fidTitle					= 10100;
const QString fieldBrewer			= "Brewer";
const int fidBrewer					= 10101;
const QString fieldStyle			= "Style";
const int fidStyle					= 10102;
const QString fieldSize				= "BatchSize";
const int fidSize					= 10103;
const QString fieldMash				= "Mash";
const int fidMash					= 10104;

#endif // FILERESOURCE


